Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » AM3 » [AM3] Cannot install AM3 for ATL3 plugins correctly(AM3 SVN Problem)
[AM3] Cannot install AM3 for ATL3 plugins correctly [message #512115] Wed, 03 February 2010 23:23 Go to next message
Ronan B is currently offline Ronan BFriend
Messages: 249
Registered: July 2009
Senior Member
Hi,
I have retrieved the AM3 source code from SVN. I get an error once eclipse attemots to build as follows:
ATLUtils.java has the following error:
modelFactory = CoreService.getModelFactory("EMF");

I resolved the error temporarily by using the deprecated method, createModelFactory. I'm sure this isn't the ideal solution. Did nyone else get this?

Even with this fix in place the plugins do not function as everytime I try to run an ant script with AM3 tasks it in they are not recognised. They error is as follows:
Cause: The name is undefined.
Action: Check the spelling.
Action: Check that any custom tasks/types have been declared.
Action: Check that any <presetdef>/<macrodef> declarations have taken place.

I have set the ant build to run in the same JRE.

I am running Eclipse 3.5, ATL3.1 and EMF 2.5 on WIndows VIsta.

Any help is appreciated.
Regards,
Ronan

Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #512157 is a reply to message #512115] Thu, 04 February 2010 09:01 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hi Ronan,

Ronan a écrit :
> Hi,
> I have retrieved the AM3 source code from SVN. I get an error once
> eclipse attemots to build as follows:
> ATLUtils.java has the following error:
> modelFactory = CoreService.getModelFactory("EMF");
>
> I resolved the error temporarily by using the deprecated method,
> createModelFactory. I'm sure this isn't the ideal solution. Did nyone
> else get this?

The AM3 SVN trunk is synchronized with the ATL CVS head.
So if you get the latest source version of both, there is not such an error.

>
> Even with this fix in place the plugins do not function as everytime I
> try to run an ant script with AM3 tasks it in they are not recognised.
> They error is as follows:
> Cause: The name is undefined.
> Action: Check the spelling.
> Action: Check that any custom tasks/types have been declared.
> Action: Check that any <presetdef>/<macrodef> declarations have taken
> place.
>
> I have set the ant build to run in the same JRE.
>
> I am running Eclipse 3.5, ATL3.1 and EMF 2.5 on WIndows VIsta.

The AM3 megamodeling prototype (from the AM3 SVN "plugins" folder) has
nothing to deal with ATL Ant tasks.
The old ATL Ant tasks (called "am3.xxx") are still available but they
should not be used anymore in most cases.
The new ATL Ant tasks are now part of ATL:
http://wiki.eclipse.org/ATL/User_Guide#ATL_ant_tasks

Best regards,

Hugo

>
> Any help is appreciated.
> Regards,
> Ronan
>
>


--
-------------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (INRIA & EMN) - Room B206
Ecole des Mines de Nantes
4, rue Alfred Kastler
44307 Nantes Cedex 3 - France
Office: +33 (0)2 51 85 82 21
EMail: hugo.bruneliere@inria.fr
-------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #512664 is a reply to message #512157] Fri, 05 February 2010 22:18 Go to previous messageGo to next message
Ronan B is currently offline Ronan BFriend
Messages: 249
Registered: July 2009
Senior Member
Hi,
Ah I see thanks. So I should get the latest ATL 3.x from CVS and rebuild. So if I picked you up correctly the am3.* tasks are deprectaed and the atl.* ones should be used? This wasn't clear from the documentation. Perhaps it could be added somewhere?
I'll try this out of the next fews days and report back.
Thanks.
Ronan
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #513174 is a reply to message #512664] Tue, 09 February 2010 09:06 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hi Ronan,

Ronan a écrit :
> Hi,
> Ah I see thanks. So I should get the latest ATL 3.x from CVS and
> rebuild. So if I picked you up correctly the am3.* tasks are deprectaed
> and the atl.* ones should be used?

Yes, exactly.

> This wasn't clear from the
> documentation. Perhaps it could be added somewhere?

You're right. This should be made more explicit.

> I'll try this out of the next fews days and report back.

Don't hesitate: any feedback about these new ATL Ant tasks is welcome on
the M2M newsgroup :-)

Best regards,

Hugo

> Thanks.
> Ronan


--
-------------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (INRIA & EMN) - Room B206
Ecole des Mines de Nantes
4, rue Alfred Kastler
44307 Nantes Cedex 3 - France
Office: +33 (0)2 51 85 82 21
EMail: hugo.bruneliere@inria.fr
-------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #513537 is a reply to message #513174] Wed, 10 February 2010 14:19 Go to previous messageGo to next message
Ronan B is currently offline Ronan BFriend
Messages: 249
Registered: July 2009
Senior Member
Hi,
Thanks, okay great we got it working. There are three things to learn.
1. The ATL ant tasks should be used not the AM3 ones.
2. The injector name should be in capital letters unlike the previous version, so try <injector name="XML"/>
3. org.eclipse.m2m.atl.projectors.xml must be taken from SVN as well as the other projects.
Thanks again!
Ronan
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #530452 is a reply to message #513537] Thu, 29 April 2010 16:48 Go to previous messageGo to next message
Filipe Correia is currently offline Filipe CorreiaFriend
Messages: 2
Registered: April 2010
Location: Portugal
Junior Member
Ronan wrote on Wed, 10 February 2010 09:19
Hi,
Thanks, okay great we got it working. There are three things to learn.
1. The ATL ant tasks should be used not the AM3 ones.
2. The injector name should be in capital letters unlike the previous version, so try <injector name="XML"/>
3. org.eclipse.m2m.atl.projectors.xml must be taken from SVN as well as the other projects.
Thanks again!
Ronan


I have the problem that started this thread. I'm trying to run the KML Injector on ATL Examples page, and I really need this working because I want to use the XML Injector for my MsT Thesis.

Since the new ATL ant tasks doesn't support XML Injector, am I stuck with AM3? If so, why can't I get past the "getModelFactory("EMF")" problem that started this thread? Even following the "AM3/How Install New AM3 From SVN" page, I can't run AM3 without getting the following error:
Error

BUILD FAILED
/Users/FASC/Documents/eclipseWorkspace/KMLInjector/build.xml :54: Problem: failed to create task or type am3.loadModel
Cause: The name is undefined.
Action: Check the spelling.
Action: Check that any custom tasks/types have been declared.
Action: Check that any <presetdef>/<macrodef> declarations have taken place.



I REALLY need help!

Thank you!
Filipe Correia
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #575241 is a reply to message #512157] Fri, 05 February 2010 22:18 Go to previous messageGo to next message
Ronan B is currently offline Ronan BFriend
Messages: 249
Registered: July 2009
Senior Member
Hi,
Ah I see thanks. So I should get the latest ATL 3.x from CVS and rebuild. So if I picked you up correctly the am3.* tasks are deprectaed and the atl.* ones should be used? This wasn't clear from the documentation. Perhaps it could be added somewhere?
I'll try this out of the next fews days and report back.
Thanks.
Ronan
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #579334 is a reply to message #512664] Tue, 09 February 2010 09:06 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hi Ronan,

Ronan a écrit :
> Hi,
> Ah I see thanks. So I should get the latest ATL 3.x from CVS and
> rebuild. So if I picked you up correctly the am3.* tasks are deprectaed
> and the atl.* ones should be used?

Yes, exactly.

> This wasn't clear from the
> documentation. Perhaps it could be added somewhere?

You're right. This should be made more explicit.

> I'll try this out of the next fews days and report back.

Don't hesitate: any feedback about these new ATL Ant tasks is welcome on
the M2M newsgroup :-)

Best regards,

Hugo

> Thanks.
> Ronan


--
-------------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (INRIA & EMN) - Room B206
Ecole des Mines de Nantes
4, rue Alfred Kastler
44307 Nantes Cedex 3 - France
Office: +33 (0)2 51 85 82 21
EMail: hugo.bruneliere@inria.fr
-------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #579357 is a reply to message #513174] Wed, 10 February 2010 14:19 Go to previous messageGo to next message
Ronan B is currently offline Ronan BFriend
Messages: 249
Registered: July 2009
Senior Member
Hi,
Thanks, okay great we got it working. There are three things to learn.
1. The ATL ant tasks should be used not the AM3 ones.
2. The injector name should be in capital letters unlike the previous version, so try <injector name="XML"/>
3. org.eclipse.m2m.atl.projectors.xml must be taken from SVN as well as the other projects.
Thanks again!
Ronan
Re: [AM3] Cannot install AM3 for ATL3 plugins correctly [message #579708 is a reply to message #579357] Thu, 29 April 2010 16:48 Go to previous message
Filipe Correia is currently offline Filipe CorreiaFriend
Messages: 2
Registered: April 2010
Location: Portugal
Junior Member
Ronan wrote on Wed, 10 February 2010 09:19
> Hi,
> Thanks, okay great we got it working. There are three things to learn.
> 1. The ATL ant tasks should be used not the AM3 ones.
> 2. The injector name should be in capital letters unlike the previous version, so try <injector name="XML"/>
> 3. org.eclipse.m2m.atl.projectors.xml must be taken from SVN as well as the other projects.
> Thanks again!
> Ronan


I have the problem that started this thread. I'm trying to run the KML Injector on ATL Examples page, and I really need this working because I want to use the XML Injector for my MsT Thesis.

Since the new ATL ant tasks doesn't support XML Injector, am I stuck with AM3? If so, why can't I get past the "getModelFactory("EMF")" problem that started this thread? Even following the "AM3/How Install New AM3 From SVN" page, I can't run AM3 without getting the following error:
Error
> BUILD FAILED
> /Users/FASC/Documents/eclipseWorkspace/KMLInjector/build.xml :54: Problem: failed to create task or type am3.loadModel
> Cause: The name is undefined.
> Action: Check the spelling.
> Action: Check that any custom tasks/types have been declared.
> Action: Check that any <presetdef>/<macrodef> declarations have taken place.


I REALLY need help!

Thank you!
Filipe Correia
Previous Topic:I need AM3 plugin compatible with Galilo modeling Eclipse,
Next Topic:Problem on installing the new am3 [problem solved]
Goto Forum:
  


Current Time: Sat Nov 29 09:08:49 GMT 2014

Powered by FUDForum. Page generated in 0.01940 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software